#!/usr/bin/perl

die "Usage: $ARGV[-1] srcfile destfile lang" unless ($#ARGV eq 2);

$src_file = $ARGV[0];
die "$src_file not found" unless (-f $src_file);

$dest_file  = $ARGV[1];

$lang = $ARGV[2] || 'gb';

open SRC, $src_file or die;
open DEST, ">$dest_file" or die;

foreach $raw (<SRC>) {

   if ($raw =~ /^\<(GB|FR)\>/i) {
       $current = $1;
       $raw =~ s/^\<(GB|FR)\>//gi;
   }elsif ($raw =~ /^\<\/(GB|FR)\>/i) {
       undef $current;
       $raw =~ s/^\<\/(GB|FR)\>//gi;
   }		 

   if ($current =~ /$lang/i) {
      print DEST $raw;
   }

}

close SRC;
close DEST;
